# Este bloque de configuración se aplicará al servidor web.
server {
  # Nginx escuchará en el puerto 80 dentro del contenedor.
  listen 80;

  # La raíz de los documentos, donde están nuestros archivos de React.
  root /usr/share/nginx/html;

  # Sirve el index.html por defecto para la ruta raíz.
  index index.html;

  # Esta es la regla mágica para las SPAs.
  location / {
    # Intenta servir el archivo exacto que se pide (ej: /assets/logo.png).
    # Si no lo encuentra, intenta servir una carpeta con ese nombre.
    # Si tampoco la encuentra, como último recurso (fallback), sirve /index.html.
    try_files $uri $uri/ /index.html;
  }
}